import { LineType } from './ConnectionLine';
import { FontStyleType } from './FontStyleType';
import { FontWeightType } from './FontWeightType';
import { TopicShapeType } from './model/INodeModel';
import Topic from './Topic';
type FontStyle = {
    font: string;
    size: number;
    style: FontStyleType;
    weight: FontWeightType;
    color: string;
};
type TopicStyleType = {
    borderColor: string;
    backgroundColor: string;
    connectionStyle: LineType;
    connectionColor: string;
    fontStyle: FontStyle;
    msgKey: string;
    shapeType: TopicShapeType;
};
declare class TopicStyle {
    static _getStyles(topic: Topic): TopicStyleType;
    static defaultText(topic: Topic): string;
    static defaultFontStyle(topic: Topic): FontStyle;
    static defaultCanvasCssStyle(): string;
    static defaultOuterBorderColor(topic: Topic): string;
    static defaultOuterBackgroundColor(topic: Topic, onFocus: boolean): string;
    static defaultBackgroundColor(topic: Topic): string;
    static defaultBorderColor(topic: Topic): string;
    static getInnerPadding(topic: Topic): number;
    static defaultShapeType(topic: Topic): TopicShapeType;
    static defaultConnectionType(topic: Topic): LineType;
    static defaultConnectionColor(topic: Topic): string;
}
export default TopicStyle;
